package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag707;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT707Creator;

/**
 * @author gaosheng
 * @date 2023/2/27
 */
public class Tag50Creator extends AbsTagCreate {

     private MT707Creator mt707Creator;

    public Tag50Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt707Creator= (MT707Creator) absMTCreator;
    }

    public void creator()
    {
        String tag50Value = mt707Creator.getChangedApplicantDetails();
        mt707Creator.set("50", tag50Value);
    }
}
